Description

I think that it might be useful to "echo" the region that has been sent, so that the user has the history of what has been executed.

I did write the code for emacs so that the sourced lines are printed (commented out), but, of course, this is not satisfactory because

the related numer of prompts is then printed, so it is commented out.

Now, I think the best solution is that it is SourceRegion itself to output the lines before executing them, but doing this is not trivial

because SourceRegion does not know the output stream.

How important is it?  probably not much...

Related issues:

Related to CoCoA-5 - Feature #8: source region Closed 20 Oct 2011

Related to CoCoA-5 - Feature #500: Interpreter: is it possible to avoid usele... Closed 28 Mar 2014

Related to CoCoA-5 - Feature #608: Emacs UI: C-return for send-line and send-... Closed 28 Aug 2014

Related to CoCoA-5 - Support #242: CoCoA-5 Projects for students (e.g. credit... In Progress 28 Sep 2012

History

#1 - 22 Jan 2014 16:09 - John Abbott

I have been using SourceRegion for several months now, and definitely appreciate the fact that it does not fill my CoCoA-5 output window with "junk" 

e.g. if I am trying to refine the implementation of a function, there is no use in seeing all the various old broken definitions of the function.

Right from the start I have favoured not seeing the content of the region, and now that I have direct experience I'd say that my initial preference has

been vindicated.

Of course, mine is just one opinion...

#2 - 12 Feb 2014 11:56 - John Abbott

- Status changed from New to In Progress

- Priority changed from Normal to Low

- % Done changed from 0 to 20

I can see what the students of the upcoming Computer Algebra course say about "send region" not copying the region sent to the CoCoA output

window.

If we really want, we could have two separate commands: one which just calls SourceRegion and one which actually copies the lines (perhaps inside

a Block...EndBlock to avoid lots of prompts appearing?)

It would be nice to close this issue soon.
#3 - 12 Feb 2014 12:07 - Anna Maria Bigatti

John Abbott wrote:

I can see what the students of the upcoming Computer Algebra course say about "send region" not copying the region sent to the CoCoA output

window.

If we really want, we could have two separate commands: one which just calls SourceRegion and one which actually copies the lines (perhaps

inside a Block...EndBlock to avoid lots of prompts appearing?)

 

no :-( I had already thought of this.

you'd just get (rightly so) lots of Block prompts.

we could make two separate emacs-commands. Name?

#4 - 14 Feb 2014 10:14 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- % Done changed from 20 to 50

I did write the code for emacs so that the sourced lines are printed (commented out), but, of course, this is not satisfactory because the related

numer of propts is then printed, so it is commented out.

 

I uncommented the code.

It also prints lots of newlines and prompts, looks "clean"

Can be improved, but it works.

[20140226] JAA hates it :-(

There is a flag for it in the CoCoA-5 menu.  Default is "do echo".

One thing John suggested some time ago: can the parser recognise whether two lines are sent in rapid succession and avoid printing the prompt

twice?

#5 - 09 Apr 2014 17:31 - John Abbott
- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 28 Aug 2014 16:44 - John Abbott

- % Done changed from 50 to 60

This issue has been idle for 5 months.  I think we can close it.

Anna's solution is "ugly" (because it causes many prompts to appear), but is perhaps adequate for those (few?) who want this feature.

Note that default is now no echo for SourceRegion.

I don't think this is important enough to warrant spending any more time on it.

#7 - 02 Sep 2014 11:13 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

#8 - 11 May 2015 14:22 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#9 - 29 Jul 2015 22:13 - John Abbott

- Estimated time set to 4.44 h

The current solution (emacs sending a commented copy of the region) is not very pretty, but it does achieve more or less what Anna wants (except for

the succession of prompts).

Solving this issue properly probably requires modifying the interpreter (to stop it from printing prompts after receiving each line); this seems like a

rather difficult and intrusive change for a mere cosmetic issue.

JAA is inclined to propose that we accept the current behaviour, and not dedicate any more time to this "minor" issue.  Can we close this now?

NOTE we could make this a task for a hapless student >-}

#10 - 30 Jul 2015 14:19 - John Abbott

- Status changed from In Progress to Closed

- % Done changed from 60 to 100

Anna agrees with my assessment in comment 9.  So closing this issue.

I have also added it to #242: possible tasks for students (poor blighter).

Powered by TCPDF (www.tcpdf.org)

25 Apr 2024 3/3

https://cocoa.dima.unige.it/redmine/issues/242
http://www.tcpdf.org

